UnsolicitedNotificationEvent (Java Platform SE 8 )
Keywords: javax.naming.ldap.UnsolicitedNotificationEvent class
Date: 2026-04-17

compact3
javax.naming.ldap

## Class UnsolicitedNotificationEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.naming.ldap.UnsolicitedNotificationEvent

- All Implemented Interfaces:
    Serializable

      public class UnsolicitedNotificationEvent
      extends EventObject

  This class represents an event fired in response to an unsolicited notification sent by the LDAP server.
  Since:
    1.3
  See Also:
    `UnsolicitedNotification`, `UnsolicitedNotificationListener`, `EventContext.addNamingListener(javax.naming.Name, int, javax.naming.event.NamingListener)`, `EventDirContext.addNamingListener(javax.naming.Name, java.lang.String, javax.naming.directory.SearchControls, javax.naming.event.NamingListener)`, `EventContext.removeNamingListener(javax.naming.event.NamingListener)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsolicitedNotificationEvent(Object src, UnsolicitedNotification notice)` Constructs a new instance of `UnsolicitedNotificationEvent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(UnsolicitedNotificationListener listener)` Invokes the `notificationReceived()` method on a listener using this event.
    `UnsolicitedNotification` | `getNotification()` Returns the unsolicited notification.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsolicitedNotificationEvent

          public UnsolicitedNotificationEvent(Object src,
                                              UnsolicitedNotification notice)

      Constructs a new instance of `UnsolicitedNotificationEvent`.
      Parameters:
        `src` - The non-null source that fired the event.
        `notice` - The non-null unsolicited notification.

  - ### Method Detail

    - #### getNotification

          public UnsolicitedNotification getNotification()

      Returns the unsolicited notification.
      Returns:
        The non-null unsolicited notification that caused this event to be fired.

    - #### dispatch

          public void dispatch(UnsolicitedNotificationListener listener)

      Invokes the `notificationReceived()` method on a listener using this event.
      Parameters:
        `listener` - The non-null listener on which to invoke `notificationReceived`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.